## libvmime 0.8.0

=== SConstruct ===
#
# SConstruct
# libvmime build script
#
# Process this file with 'scons' to build the project.
# For more information, please visit: http://www.scons.org/ .
#
# Usage:
#
#   . scons               build the library
#   . scons -h            see available configuration options
#   . scons opt=value     set a configuration option
#   . scons install       install library and include files (as root)
#   . scons dist          build a source package (.tar.bz2)
#   . scons doc           build documentation for the project (Doxygen)
#

import commands
import os
import sys
import re
import string


#############
#  Version  #
#############

# Package version number
packageVersionMajor = 0
packageVersionMinor = 8
packageVersionMicro = 0

# API version number (libtool)
#
# Increment this number only immediately before a public release.
# This is independant from package version number.
#
# See: http://www.gnu.org/software/libtool/manual.html#Libtool-versioning
#
# . Implementation changed (eg. bug/security fix):  REVISION++
# . Interfaces added/removed/changed:               CURRENT++, REVISION=0
# . Interfaces added (upward-compatible changes):   AGE++
# . Interfaces removed:                             AGE=0
#
packageAPICurrent   = 0
packageAPIRevision  = 0
packageAPIAge       = 0

# Package information
packageName = 'libvmime'
packageGenericName = 'vmime'
packageRealName = 'VMime Library'
packageDescription = 'VMime C++ Mail Library (http://www.vmime.org)'
packageMaintainer = 'vincent@vincent-richard.net'

packageVersion = '%d.%d.%d' % (packageVersionMajor, packageVersionMinor, packageVersionMicro)
packageAPI = '%d:%d:%d' % (packageAPICurrent, packageAPIRevision, packageAPIAge)

#if packageVersionMajor >= 2:
#	packageVersionedGenericName = packageGenericName + ('%d' % packageVersionMajor)
#	packageVersionedName = packageName + ('%d' % packageVersionMajor)
#else:
#	packageVersionedGenericName = packageGenericName
#	packageVersionedName = packageName
packageVersionedGenericName = packageGenericName
packageVersionedName = packageName


##################
#  Source files  #
##################

libvmime_sources = [
	# ==============================  Parser  ==============================
	'address.cpp', 'address.hpp',
	'addressList.cpp', 'addressList.hpp',
	'attachment.hpp',
	'attachmentHelper.cpp', 'attachmentHelper.hpp',
	'base.cpp', 'base.hpp',
	'body.cpp', 'body.hpp',
	'bodyPart.cpp', 'bodyPart.hpp',
	'bodyPartAttachment.cpp', 'bodyPartAttachment.hpp',
	'charset.cpp', 'charset.hpp',
	'charsetConverter.cpp', 'charsetConverter.hpp',
	'component.cpp', 'component.hpp',
	'constants.cpp', 'constants.hpp',
	'contentDisposition.cpp', 'contentDisposition.hpp',
	'contentDispositionField.cpp', 'contentDispositionField.hpp',
	'contentHandler.cpp', 'contentHandler.hpp',
	'contentTypeField.cpp', 'contentTypeField.hpp',
	'dateTime.cpp', 'dateTime.hpp',
	'defaultAttachment.cpp', 'defaultAttachment.hpp',
	'disposition.cpp', 'disposition.hpp',
	'emptyContentHandler.cpp', 'emptyContentHandler.hpp',
	'encoder.cpp', 'encoder.hpp',
	'encoder7bit.cpp', 'encoder7bit.hpp',
	'encoder8bit.cpp', 'encoder8bit.hpp',
	'encoderB64.cpp', 'encoderB64.hpp',
	'encoderBinary.cpp', 'encoderBinary.hpp',
	'encoderDefault.cpp', 'encoderDefault.hpp',
	'encoderFactory.cpp', 'encoderFactory.hpp',
	'encoderQP.cpp', 'encoderQP.hpp',
	'encoderUUE.cpp', 'encoderUUE.hpp',
	'encoding.cpp', 'encoding.hpp',
	'exception.cpp', 'exception.hpp',
	'fileAttachment.cpp', 'fileAttachment.hpp',
	'header.cpp', 'header.hpp',
	'headerFieldFactory.cpp', 'headerFieldFactory.hpp',
	'headerField.cpp', 'headerField.hpp',
	'headerFieldValue.hpp',
	'htmlTextPart.cpp', 'htmlTextPart.hpp',
	'mailbox.cpp', 'mailbox.hpp',
	'mailboxField.cpp', 'mailboxField.hpp',
	'mailboxGroup.cpp', 'mailboxGroup.hpp',
	'mailboxList.cpp', 'mailboxList.hpp',
	'mediaType.cpp', 'mediaType.hpp',
	'messageBuilder.cpp', 'messageBuilder.hpp',
	'message.cpp', 'message.hpp',
	'messageId.cpp', 'messageId.hpp',
	'messageIdSequence.cpp', 'messageIdSequence.hpp',
	'messageParser.cpp', 'messageParser.hpp',
	'object.cpp', 'object.hpp',
	'options.cpp', 'options.hpp',
	'path.cpp', 'path.hpp',
	'parameter.cpp', 'parameter.hpp',
	'parameterizedHeaderField.cpp', 'parameterizedHeaderField.hpp',
	'parserHelpers.hpp',
	'plainTextPart.cpp', 'plainTextPart.hpp',
	'platformDependant.cpp', 'platformDependant.hpp',
	'propertySet.cpp', 'propertySet.hpp',
	'relay.cpp', 'relay.hpp',
	'stringContentHandler.cpp', 'stringContentHandler.hpp',
	'streamContentHandler.cpp', 'streamContentHandler.hpp',
	'text.cpp', 'text.hpp',
	'textPartFactory.cpp', 'textPartFactory.hpp',
	'textPart.hpp',
	'types.hpp',
	'word.cpp', 'word.hpp',
	'vmime.hpp',
	# ==============================  Utility  =============================
	'utility/childProcess.hpp',
	'utility/file.hpp',
	'utility/datetimeUtils.cpp', 'utility/datetimeUtils.hpp',
	'utility/filteredStream.cpp', 'utility/filteredStream.hpp',
	'utility/path.cpp', 'utility/path.hpp',
	'utility/progressListener.cpp', 'utility/progressListener.hpp',
	'utility/random.cpp', 'utility/random.hpp',
	'utility/smartPtr.hpp',
	'utility/stream.cpp', 'utility/stream.hpp',
	'utility/stringProxy.cpp', 'utility/stringProxy.hpp',
	'utility/stringUtils.cpp', 'utility/stringUtils.hpp',
	'utility/url.cpp', 'utility/url.hpp',
	'utility/urlUtils.cpp', 'utility/urlUtils.hpp',
	# ===============================  MDN  ================================
	'mdn/MDNHelper.cpp', 'mdn/MDNHelper.hpp',
	'mdn/MDNInfos.cpp', 'mdn/MDNInfos.hpp',
	'mdn/receivedMDNInfos.cpp', 'mdn/receivedMDNInfos.hpp',
	'mdn/sendableMDNInfos.cpp', 'mdn/sendableMDNInfos.hpp',
	# ===============================  Misc  ===============================
	'misc/importanceHelper.cpp', 'misc/importanceHelper.hpp',
	# =============================  Security  =============================
	'security/authenticator.hpp',
	'security/defaultAuthenticator.cpp', 'security/defaultAuthenticator.hpp',
	# -- digest
	'security/digest/messageDigest.cpp', 'security/digest/messageDigest.hpp',
	'security/digest/messageDigestFactory.cpp', 'security/digest/messageDigestFactory.hpp',
	'security/digest/md5/md5MessageDigest.cpp', 'security/digest/md5/md5MessageDigest.hpp',
	'security/digest/sha1/sha1MessageDigest.cpp', 'security/digest/sha1/sha1MessageDigest.hpp'
]

libvmime_security_sasl_sources = [
	'security/sasl/SASLContext.cpp', 'security/sasl/SASLContext.hpp',
	'security/sasl/SASLSession.cpp', 'security/sasl/SASLSession.hpp',
	'security/sasl/SASLMechanism.hpp',
	'security/sasl/SASLMechanismFactory.cpp', 'security/sasl/SASLMechanismFactory.hpp',
	'security/sasl/SASLSocket.cpp', 'security/sasl/SASLSocket.hpp',
	'security/sasl/SASLAuthenticator.hpp',
	'security/sasl/defaultSASLAuthenticator.cpp', 'security/sasl/defaultSASLAuthenticator.hpp',
	'security/sasl/builtinSASLMechanism.cpp', 'security/sasl/builtinSASLMechanism.hpp'
]

libvmime_examples_sources = [
	'examples/README',
#	'examples/Makefile.am',    # not generated
#	'examples/Makefile.in',
	'examples/example1.cpp',
	'examples/example2.cpp',
	'examples/example3.cpp',
	'examples/example4.cpp',
	'examples/example5.cpp',
	'examples/example6.cpp',
	'examples/example7.cpp'
]

libvmime_messaging_sources = [
	'net/builtinServices.inl',
	'net/events.cpp', 'net/events.hpp',
	'net/folder.cpp', 'net/folder.hpp',
	'net/message.cpp', 'net/message.hpp',
	'net/service.cpp', 'net/service.hpp',
	'net/serviceFactory.cpp', 'net/serviceFactory.hpp',
	'net/serviceInfos.cpp', 'net/serviceInfos.hpp',
	'net/serviceRegistration.inl',
	'net/session.cpp', 'net/session.hpp',
	'net/socket.hpp',
	'net/store.hpp',
	'net/timeoutHandler.hpp',
	'net/transport.cpp', 'net/transport.hpp'
]

libvmime_net_tls_sources = [
	'net/tls/TLSSession.cpp', 'net/tls/TLSSession.hpp',
	'net/tls/TLSSocket.cpp', 'net/tls/TLSSocket.hpp',
	'security/cert/certificateChain.cpp', 'security/cert/certificateChain.hpp',
	'security/cert/certificateVerifier.hpp',
	'security/cert/defaultCertificateVerifier.cpp', 'security/cert/defaultCertificateVerifier.hpp',
	'security/cert/certificate.hpp',
	'security/cert/X509Certificate.cpp', 'security/cert/X509Certificate.hpp'
]

libvmime_messaging_proto_sources = [
	[
		'pop3',
		[
			'net/pop3/POP3ServiceInfos.cpp', 'net/pop3/POP3ServiceInfos.hpp',
			'net/pop3/POP3Store.cpp',        'net/pop3/POP3Store.hpp',
			'net/pop3/POP3SStore.cpp',       'net/pop3/POP3SStore.hpp',
			'net/pop3/POP3Folder.cpp',       'net/pop3/POP3Folder.hpp',
			'net/pop3/POP3Message.cpp',      'net/pop3/POP3Message.hpp'
		]
	],
	[
		'smtp',
		[
			'net/smtp/SMTPServiceInfos.cpp', 'net/smtp/SMTPServiceInfos.hpp',
			'net/smtp/SMTPTransport.cpp',    'net/smtp/SMTPTransport.hpp',
			'net/smtp/SMTPSTransport.cpp',   'net/smtp/SMTPSTransport.hpp'
		]
	],
	[
		'imap',
		[
			'net/imap/IMAPServiceInfos.cpp', 'net/imap/IMAPServiceInfos.hpp',
			'net/imap/IMAPConnection.cpp',   'net/imap/IMAPConnection.hpp',
			'net/imap/IMAPStore.cpp',        'net/imap/IMAPStore.hpp',
			'net/imap/IMAPSStore.cpp',       'net/imap/IMAPSStore.hpp',
			'net/imap/IMAPFolder.cpp',       'net/imap/IMAPFolder.hpp',
			'net/imap/IMAPMessage.cpp',      'net/imap/IMAPMessage.hpp',
			'net/imap/IMAPTag.cpp',          'net/imap/IMAPTag.hpp',
			'net/imap/IMAPUtils.cpp',        'net/imap/IMAPUtils.hpp',
			'net/imap/IMAPParser.hpp',
		]
	],
	[
		'maildir',
		[
			'net/maildir/maildirServiceInfos.cpp', 'net/maildir/maildirServiceInfos.hpp',
			'net/maildir/maildirStore.cpp',        'net/maildir/maildirStore.hpp',
			'net/maildir/maildirFolder.cpp',       'net/maildir/maildirFolder.hpp',
			'net/maildir/maildirMessage.cpp',      'net/maildir/maildirMessage.hpp',
			'net/maildir/maildirUtils.cpp',        'net/maildir/maildirUtils.hpp'
		]
	],
	[
		'sendmail',
		[
			'net/sendmail/sendmailServiceInfos.cpp', 'net/sendmail/sendmailServiceInfos.hpp',
			'net/sendmail/sendmailTransport.cpp',    'net/sendmail/sendmailTransport.hpp'
		]
	]
]

libvmime_platforms_sources = {
	'posix':
	[
		'platforms/posix/posixChildProcess.cpp', 'platforms/posix/posixChildProcess.hpp',
		'platforms/posix/posixFile.cpp', 'platforms/posix/posixFile.hpp',
		'platforms/posix/posixHandler.cpp', 'platforms/posix/posixHandler.hpp',
		'platforms/posix/posixSocket.cpp', 'platforms/posix/posixSocket.hpp'
	],
	'windows':
	[
		'platforms/windows/windowsFile.cpp', 'platforms/windows/windowsFile.hpp',
		'platforms/windows/windowsHandler.cpp', 'platforms/windows/windowsHandler.hpp',
		'platforms/windows/windowsSocket.cpp', 'platforms/windows/windowsSocket.hpp'
	]
}

libvmime_extra = [
	'AUTHORS',
	'ChangeLog',
	'COPYING',
	'HACKING',
	'INSTALL',
	'NEWS',
	'README',
	'README.msvc',
	'README.refcounting',
	'SConstruct',
	'vmime.doxygen'
]

libvmime_tests = [
#	'tests/Makefile.am',    # not generated
#	'tests/Makefile.in',

	# parser
#	'tests/parser/Makefile.am',    # not generated
#	'tests/parser/Makefile.in',

	# charset
#	'tests/charset/Makefile.am',   # not generated
#	'tests/charset/Makefile.in',
	'tests/charset/main.cpp',
	'tests/charset/run-test.sh',
	'tests/charset/test-suites/gnu.in.utf-8',
	'tests/charset/test-suites/gnu.out.iso-8859-1',
]

libvmimetest_common = [
	'tests/testUtils.hpp'
]

libvmimetest_sources = [
	'tests/testRunner.cpp',
	# ==============================  Parser  ==============================
	'tests/parser/attachmentHelperTest.cpp',
	'tests/parser/bodyPartTest.cpp',
	'tests/parser/charsetTest.cpp',
	'tests/parser/datetimeTest.cpp',
	'tests/parser/dispositionTest.cpp',
	'tests/parser/encoderTest.cpp',
	'tests/parser/headerTest.cpp',
	'tests/parser/mailboxTest.cpp',
	'tests/parser/mediaTypeTest.cpp',
	'tests/parser/messageIdTest.cpp',
	'tests/parser/messageIdSequenceTest.cpp',
	'tests/parser/pathTest.cpp',
	'tests/parser/parameterTest.cpp',
	'tests/parser/textTest.cpp',
	# ==============================  Utility  =============================
	'tests/utility/filteredStreamTest.cpp',
	'tests/utility/stringProxyTest.cpp',
	'tests/utility/stringUtilsTest.cpp',
	'tests/utility/pathTest.cpp',

## libvmime 0.8.0+cvs20061009

=== SConstruct ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Package version number
 packageVersionMajor = 0
 packageVersionMinor = 8
-packageVersionMicro = 0
+packageVersionMicro = 1
 
 # API version number (libtool)
 #
@@ -105,6 +105,7 @@
 	'encoding.cpp', 'encoding.hpp',
 	'exception.cpp', 'exception.hpp',
 	'fileAttachment.cpp', 'fileAttachment.hpp',
+	'generatedMessageAttachment.hpp', 'generatedMessageAttachment.cpp',
 	'header.cpp', 'header.hpp',
 	'headerFieldFactory.cpp', 'headerFieldFactory.hpp',
 	'headerField.cpp', 'headerField.hpp',
@@ -115,6 +116,7 @@
 	'mailboxGroup.cpp', 'mailboxGroup.hpp',
 	'mailboxList.cpp', 'mailboxList.hpp',
 	'mediaType.cpp', 'mediaType.hpp',
+	'messageAttachment.hpp',
 	'messageBuilder.cpp', 'messageBuilder.hpp',
 	'message.cpp', 'message.hpp',
 	'messageId.cpp', 'messageId.hpp',
@@ -125,6 +127,7 @@
 	'path.cpp', 'path.hpp',
 	'parameter.cpp', 'parameter.hpp',
 	'parameterizedHeaderField.cpp', 'parameterizedHeaderField.hpp',
+	'parsedMessageAttachment.cpp', 'parsedMessageAttachment.hpp',
 	'parserHelpers.hpp',
 	'plainTextPart.cpp', 'plainTextPart.hpp',
 	'platformDependant.cpp', 'platformDependant.hpp',
@@ -137,6 +140,7 @@
 	'textPart.hpp',
 	'types.hpp',
 	'word.cpp', 'word.hpp',
+	'wordEncoder.cpp', 'wordEncoder.hpp',
 	'vmime.hpp',
 	# ==============================  Utility  =============================
 	'utility/childProcess.hpp',
@@ -146,7 +150,7 @@
 	'utility/path.cpp', 'utility/path.hpp',
 	'utility/progressListener.cpp', 'utility/progressListener.hpp',
 	'utility/random.cpp', 'utility/random.hpp',
-	'utility/smartPtr.hpp',
+	'utility/smartPtr.cpp', 'utility/smartPtr.hpp',
 	'utility/stream.cpp', 'utility/stream.hpp',
 	'utility/stringProxy.cpp', 'utility/stringProxy.hpp',
 	'utility/stringUtils.cpp', 'utility/stringUtils.hpp',
@@ -195,9 +199,12 @@
 
 libvmime_messaging_sources = [
 	'net/builtinServices.inl',
+	'net/connectionInfos.hpp',
+	'net/defaultConnectionInfos.cpp', 'net/defaultConnectionInfos.hpp',
 	'net/events.cpp', 'net/events.hpp',
 	'net/folder.cpp', 'net/folder.hpp',
 	'net/message.cpp', 'net/message.hpp',
+	'net/securedConnectionInfos.hpp',
 	'net/service.cpp', 'net/service.hpp',
 	'net/serviceFactory.cpp', 'net/serviceFactory.hpp',
 	'net/serviceInfos.cpp', 'net/serviceInfos.hpp',
@@ -212,6 +219,7 @@
 libvmime_net_tls_sources = [
 	'net/tls/TLSSession.cpp', 'net/tls/TLSSession.hpp',
 	'net/tls/TLSSocket.cpp', 'net/tls/TLSSocket.hpp',
+	'net/tls/TLSSecuredConnectionInfos.cpp', 'net/tls/TLSSecuredConnectionInfos.hpp',
 	'security/cert/certificateChain.cpp', 'security/cert/certificateChain.hpp',
 	'security/cert/certificateVerifier.hpp',
 	'security/cert/defaultCertificateVerifier.cpp', 'security/cert/defaultCertificateVerifier.hpp',
@@ -227,12 +235,14 @@
 			'net/pop3/POP3Store.cpp',        'net/pop3/POP3Store.hpp',
 			'net/pop3/POP3SStore.cpp',       'net/pop3/POP3SStore.hpp',
 			'net/pop3/POP3Folder.cpp',       'net/pop3/POP3Folder.hpp',
-			'net/pop3/POP3Message.cpp',      'net/pop3/POP3Message.hpp'
+			'net/pop3/POP3Message.cpp',      'net/pop3/POP3Message.hpp',
+			'net/pop3/POP3Utils.cpp',        'net/pop3/POP3Utils.hpp'
 		]
 	],
 	[
 		'smtp',
 		[
+			'net/smtp/SMTPResponse.cpp',     'net/smtp/SMTPResponse.hpp',
 			'net/smtp/SMTPServiceInfos.cpp', 'net/smtp/SMTPServiceInfos.hpp',
 			'net/smtp/SMTPTransport.cpp',    'net/smtp/SMTPTransport.hpp',
 			'net/smtp/SMTPSTransport.cpp',   'net/smtp/SMTPSTransport.hpp'
@@ -324,23 +334,8 @@
 
 libvmimetest_sources = [
 	'tests/testRunner.cpp',
+	'tests/testUtils.cpp',
 	# ==============================  Parser  ==============================
 	'tests/parser/attachmentHelperTest.cpp',
 	'tests/parser/bodyPartTest.cpp',
 	'tests/parser/charsetTest.cpp',
-	'tests/parser/datetimeTest.cpp',
-	'tests/parser/dispositionTest.cpp',
-	'tests/parser/encoderTest.cpp',
-	'tests/parser/headerTest.cpp',
-	'tests/parser/mailboxTest.cpp',
-	'tests/parser/mediaTypeTest.cpp',
-	'tests/parser/messageIdTest.cpp',
-	'tests/parser/messageIdSequenceTest.cpp',
-	'tests/parser/pathTest.cpp',
-	'tests/parser/parameterTest.cpp',
-	'tests/parser/textTest.cpp',
-	# ==============================  Utility  =============================
-	'tests/utility/filteredStreamTest.cpp',
-	'tests/utility/stringProxyTest.cpp',
-	'tests/utility/stringUtilsTest.cpp',
-	'tests/utility/pathTest.cpp',

=== doc/book/Makefile ===

all: convert-images book

convert-images:
	cd images ; make

# Full build: multiple runs for correct references...
book:
	pdflatex book.tex
	pdflatex book.tex
	pdflatex book.tex

# Only one run for development (faster)
book-dev:
	pdflatex book.tex

clean:
	rm -f *.toc *.aux *.lof *.log *.lol *.pdf

=== examples/viewer/Makefile ===

COMPILER=g++
CFLAGS=-g -I ../.. `pkg-config --cflags gtk+-2.0`
LDFLAGS=-I ../.. `pkg-config --libs gtk+-2.0` -lgnutls -lgsasl


viewer: viewer.o ../../libvmime-debug.a
	$(COMPILER) $(LDFLAGS) -o viewer viewer.o ../../libvmime-debug.a

viewer.o: viewer.cpp
	$(COMPILER) $(CFLAGS) -c -o viewer.o viewer.cpp

../../libvmime-debug.a:
	@echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	@echo "!  You must build VMime library before compiling the example  !"
	@echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	@false

=== tests/charset/Makefile ===


main: main.cpp ../../libvmime-debug.a
	g++ -g -o main main.cpp -I../.. ../../libvmime-debug.a -lgnutls -lgsasl

=== doc/book/images/Makefile ===
# 'inkscape' is needed for converting from SVG to PNG

build-makefile:
	@echo "# Auto-generated file" > Makefile2
	@echo ".SUFFIXES: .png .svg" >> Makefile2
	@echo -n "foo: " >> Makefile2
	@for f in *.svg ; do (echo -n " $$f" | sed 's/svg/png/g') >> Makefile2 ; done
	@echo >> Makefile2
	@echo "	@echo -n" >> Makefile2
	@echo ".svg.png:" >> Makefile2
	@echo '	echo Converting $$<' >> Makefile2
	@echo '	inkscape -b "#ffffff" -w 1000 -e $$@ $$<' >> Makefile2
	@make -f Makefile2

## libvmime 0.8.1

=== SConstruct ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # API version number (libtool)
 #
 # Increment this number only immediately before a public release.
-# This is independant from package version number.
+# This is independent from package version number.
 #
 # See: http://www.gnu.org/software/libtool/manual.html#Libtool-versioning
 #
@@ -130,7 +130,7 @@
 	'parsedMessageAttachment.cpp', 'parsedMessageAttachment.hpp',
 	'parserHelpers.hpp',
 	'plainTextPart.cpp', 'plainTextPart.hpp',
-	'platformDependant.cpp', 'platformDependant.hpp',
+	'platform.cpp', 'platform.hpp',
 	'propertySet.cpp', 'propertySet.hpp',
 	'relay.cpp', 'relay.hpp',
 	'stringContentHandler.cpp', 'stringContentHandler.hpp',
@@ -339,3 +339,4 @@
 	'tests/parser/attachmentHelperTest.cpp',
 	'tests/parser/bodyPartTest.cpp',
 	'tests/parser/charsetTest.cpp',
+	'tests/parser/datetimeTest.cpp',

## libvmime 0.9.0

=== SConstruct ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 # Package version number
 packageVersionMajor = 0
-packageVersionMinor = 8
-packageVersionMicro = 1
+packageVersionMinor = 9
+packageVersionMicro = 0
 
 # API version number (libtool)
 #
@@ -93,15 +93,6 @@
 	'defaultAttachment.cpp', 'defaultAttachment.hpp',
 	'disposition.cpp', 'disposition.hpp',
 	'emptyContentHandler.cpp', 'emptyContentHandler.hpp',
-	'encoder.cpp', 'encoder.hpp',
-	'encoder7bit.cpp', 'encoder7bit.hpp',
-	'encoder8bit.cpp', 'encoder8bit.hpp',
-	'encoderB64.cpp', 'encoderB64.hpp',
-	'encoderBinary.cpp', 'encoderBinary.hpp',
-	'encoderDefault.cpp', 'encoderDefault.hpp',
-	'encoderFactory.cpp', 'encoderFactory.hpp',
-	'encoderQP.cpp', 'encoderQP.hpp',
-	'encoderUUE.cpp', 'encoderUUE.hpp',
 	'encoding.cpp', 'encoding.hpp',
 	'exception.cpp', 'exception.hpp',
 	'fileAttachment.cpp', 'fileAttachment.hpp',
@@ -151,11 +142,22 @@
 	'utility/progressListener.cpp', 'utility/progressListener.hpp',
 	'utility/random.cpp', 'utility/random.hpp',
 	'utility/smartPtr.cpp', 'utility/smartPtr.hpp',
+	'utility/smartPtrInt.cpp', 'utility/smartPtrInt.hpp',
 	'utility/stream.cpp', 'utility/stream.hpp',
 	'utility/stringProxy.cpp', 'utility/stringProxy.hpp',
 	'utility/stringUtils.cpp', 'utility/stringUtils.hpp',
 	'utility/url.cpp', 'utility/url.hpp',
 	'utility/urlUtils.cpp', 'utility/urlUtils.hpp',
+	# -- encoder
+	'utility/encoder/encoder.cpp', 'utility/encoder/encoder.hpp',
+	'utility/encoder/sevenBitEncoder.cpp', 'utility/encoder/sevenBitEncoder.hpp',
+	'utility/encoder/eightBitEncoder.cpp', 'utility/encoder/eightBitEncoder.hpp',
+	'utility/encoder/b64Encoder.cpp', 'utility/encoder/b64Encoder.hpp',
+	'utility/encoder/binaryEncoder.cpp', 'utility/encoder/binaryEncoder.hpp',
+	'utility/encoder/defaultEncoder.cpp', 'utility/encoder/defaultEncoder.hpp',
+	'utility/encoder/encoderFactory.cpp', 'utility/encoder/encoderFactory.hpp',
+	'utility/encoder/qpEncoder.cpp', 'utility/encoder/qpEncoder.hpp',
+	'utility/encoder/uuEncoder.cpp', 'utility/encoder/uuEncoder.hpp',
 	# ===============================  MDN  ================================
 	'mdn/MDNHelper.cpp', 'mdn/MDNHelper.hpp',
 	'mdn/MDNInfos.cpp', 'mdn/MDNInfos.hpp',
@@ -269,7 +271,10 @@
 			'net/maildir/maildirStore.cpp',        'net/maildir/maildirStore.hpp',
 			'net/maildir/maildirFolder.cpp',       'net/maildir/maildirFolder.hpp',
 			'net/maildir/maildirMessage.cpp',      'net/maildir/maildirMessage.hpp',
-			'net/maildir/maildirUtils.cpp',        'net/maildir/maildirUtils.hpp'
+			'net/maildir/maildirUtils.cpp',        'net/maildir/maildirUtils.hpp',
+			'net/maildir/maildirFormat.cpp',       'net/maildir/maildirFormat.hpp',
+			'net/maildir/format/kmailMaildirFormat.cpp',    'net/maildir/format/kmailMaildirFormat.hpp',
+			'net/maildir/format/courierMaildirFormat.cpp',  'net/maildir/format/courierMaildirFormat.hpp'
 		]
 	],
 	[
@@ -316,27 +321,3 @@
 #	'tests/Makefile.in',
 
 	# parser
-#	'tests/parser/Makefile.am',    # not generated
-#	'tests/parser/Makefile.in',
-
-	# charset
-#	'tests/charset/Makefile.am',   # not generated
-#	'tests/charset/Makefile.in',
-	'tests/charset/main.cpp',
-	'tests/charset/run-test.sh',
-	'tests/charset/test-suites/gnu.in.utf-8',
-	'tests/charset/test-suites/gnu.out.iso-8859-1',
-]
-
-libvmimetest_common = [
-	'tests/testUtils.hpp'
-]
-
-libvmimetest_sources = [
-	'tests/testRunner.cpp',
-	'tests/testUtils.cpp',
-	# ==============================  Parser  ==============================
-	'tests/parser/attachmentHelperTest.cpp',
-	'tests/parser/bodyPartTest.cpp',
-	'tests/parser/charsetTest.cpp',
-	'tests/parser/datetimeTest.cpp',

## libvmime 0.9.1

=== SConstruct ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Package version number
 packageVersionMajor = 0
 packageVersionMinor = 9
-packageVersionMicro = 0
+packageVersionMicro = 1
 
 # API version number (libtool)
 #
@@ -261,6 +261,9 @@
 			'net/imap/IMAPMessage.cpp',      'net/imap/IMAPMessage.hpp',
 			'net/imap/IMAPTag.cpp',          'net/imap/IMAPTag.hpp',
 			'net/imap/IMAPUtils.cpp',        'net/imap/IMAPUtils.hpp',
+			'net/imap/IMAPMessagePartContentHandler.cpp', 'net/imap/IMAPMessagePartContentHandler.hpp',
+			'net/imap/IMAPStructure.cpp',    'net/imap/IMAPStructure.hpp',
+			'net/imap/IMAPPart.cpp',         'net/imap/IMAPPart.hpp',
 			'net/imap/IMAPParser.hpp',
 		]
 	],
@@ -307,17 +310,3 @@
 	'ChangeLog',
 	'COPYING',
 	'HACKING',
-	'INSTALL',
-	'NEWS',
-	'README',
-	'README.msvc',
-	'README.refcounting',
-	'SConstruct',
-	'vmime.doxygen'
-]
-
-libvmime_tests = [
-#	'tests/Makefile.am',    # not generated
-#	'tests/Makefile.in',
-
-	# parser

=== debian/changelog ===
libvmime (0.9.1-5build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:33:05 +0000

libvmime (0.9.1-5) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [7b58f1d] rebuild patch queue from patch-queue branch
    - Adding patch to fix FTBFS after new gnutls28-dev version
      (Closes: #812969)
  * [57b4d94] lintian: fixing vcs-field-uses-insecure-uri
  * [30fedae] debian/rules: enable build with debug symbols
  * [cadb89e] debian/control: increase B-D on libgnutls28-dev
  * [198924f] debian/copyright: update copyright information

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Feb 2016 21:06:03 +0100

libvmime (0.9.1-4) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [b393a9e] Revert "debian/libvmime0.symbols: adding a symbol file"
    - Remove the libvmime0.symbol file again.
  * [966e4e3] debian/control: adjust Vcs-field from gitweb to cgit
  * [c2ae90e] debian/compat: bump to debhelper 8
  * [dfeb8b7] debian/rules: adopting changes after dh8 bump
    - Switching to dh-sequenzer within the rules file.
  * [f31b9d1] rebuild patch queue from patch-queue branch
    - Adjusting small changes to configure.in and Makefile.am to get the
      bootstap script working again.
  * [c1d3af2] rebuild 'configure' by the 'bootstrap' script
    - After switching to dh8 sequenzed handling we have to ensure that we
      have a re created configure and autotools scripts to build on newer
      platforms as well.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Sep 2015 22:02:59 +0200

libvmime (0.9.1-3) unstable; urgency=medium

  [ Edmund Grimley Evans ]
  * [64ad534] FTBFS: fix broken build on arm64 (Closes: #787212)

  * [7c3637a] debian/rules: small reformating and whitespace cleanup
  * [a3c75e9] debian/libvmime0.symbols: adding a symbol file
  * [8e9d301] debian/watch: correct watching url

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Aug 2015 22:31:59 +0200

libvmime (0.9.1-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * re import old versions from dsc files (closes: #783603)
  * [74b0dcf] adding a gbp.conf for debian/experimental
  * [b90e53e] rebuild patch queue from patch-queue branch
  * [fae8648] lintian: fix binary-control-field-duplicates-source
  * [94acb31] lintian: fix duplicate-long-description
  * [60bb666] debian/control: bumping standard-version and b-d on debhelper
  * [87b35c1] debian/control: reorder Depends fields
  * [4103962] debian/control: change Maintainer, adding Uploaders
  * [3c3742d] lintian: fixing hardening-no-fortify-functions
  * [2d21a68] debian/control: change Maintainer, adding myself as Uploader
  * [e9d2a23] debian/control: adding Vcs-Git and Vcs-Browser field
  * [b5fe641] debian/copyright: update to DEP-5 format
  * [fcee2c5] debian/gbp.conf: addopt to debian/sid branch

  [ Matthias Geerdsen ]
  * [60aef36] Update for gnutls28-dev
  * [e55ce7a] Switch to 3.0(quilt) format
  * [5e10a59] debian/control: remove b-d on libgcrypt20-dev

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 May 2015 22:05:36 +0200

libvmime (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge non-maintainer upload (closes: #610151, #529834)
  * Updated to Debian Policy v3.9.2.

 -- Mattias Nordstrom <mnordstr@debian.org>  Wed, 13 Jul 2011 14:45:56 +0300

libvmime (0.9.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping libtool la files in binary packages.
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval Closes: #610151

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Feb 2011 09:46:41 +0100

libvmime (0.9.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use pkg-config to locate gnutls. (Closes: #529834)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Nov 2009 18:11:44 +0100

libvmime (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Added patch to fix FTBFS on GCC 4.4 (closes: #504941)
  * Updated to Debian Policy v3.8.1.0, no changes needed.

 -- Mattias Nordstrom <mnordstr@debian.org>  Sat, 11 Apr 2009 15:49:56 +0300

libvmime (0.8.1-3) unstable; urgency=low

  * Applied patch for GCC 4.3 (closes: #461696)
  * Updated watch file (closes: #462829)

 -- Mattias Nordstrom <mnordstr@debian.org>  Sat, 08 Mar 2008 16:12:07 +0200

libvmime (0.8.1-2) unstable; urgency=low

  * New maintainer email address.
  * Added patch for GnuTLS 2.2 (closes: #450854)
  * Modified Debian watch file to use SF script (closes: #450117)
  * Updated to Debian Policy v3.7.3. no changes needed.

 -- Mattias Nordstrom <mnordstr@debian.org>  Mon, 21 Jan 2008 13:54:32 +0200

libvmime (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Added patch by Martin Michlmayr to fix FTBFS with GCC 4.3 (closes: #421117)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 14 Jul 2007 17:26:32 +0300

libvmime (0.8.0+cvs20061009-1) unstable; urgency=low

  * New upstream CVS checkout.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Mon,  9 Oct 2006 19:53:39 +0300

libvmime (0.8.0-3) unstable; urgency=low

  * Removed post* and pre* files as they didn't do anything.
  * Updated to Debian Policy v3.7.2, no changes needed.
  * Updated to debhelper version 5.
  * Updated copyright file to include proper license information.
  * Removed old /usr/share/pkgconfig line from libvmime-dev.install.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 13 May 2006 23:34:05 +0300

libvmime (0.8.0-2) unstable; urgency=low

  * Added dependency on libgnutls-dev and libgsasl7-dev for libvmime-dev
    (closes: #348879)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 21 Jan 2006 15:25:10 +0200

libvmime (0.8.0-1) unstable; urgency=low

  * Initial release (closes: #341388)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Wed, 30 Nov 2005 22:37:56 +0200

=== debian/control ===
Source: libvmime
Priority: optional
Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends: autotools-dev,
  debhelper (>= 9.20160115),
  dh-autoreconf,
  libgnutls28-dev (>= 3.4.0),
  libgsasl7-dev
Standards-Version: 3.9.6
Section: libs
Vcs-Git: https://anonscm.debian.org/pkg-giraffe/libvmime.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-giraffe/libvmime.git/
Homepage: http://www.vmime.org/

Package: libvmime-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvmime0 (= ${binary:Version}),
  libgnutls28-dev (>= 1.2.0),
  libgsasl7-dev
Description: C++ mail library (development files)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.
 .
 This package contains the development headers and the static library to
 develop applications using the libvmime.

Package: libvmime0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ mail library (runtime library)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

CONFFLAG = "--enable-debug"

CFLAGS = "-Wall -g -Wl,-z,defs"

DEB_CONFIGURE_EXTRA_ARGS :=      \
    CFLAGS=$(CFLAGS) \
    --host=$(DEB_HOST_GNU_TYPE) \
    --build=$(DEB_BUILD_GNU_TYPE) \
    --prefix=/usr \
    --mandir=\$${prefix}/share/man \
    --infodir=\$${prefix}/share/info \
    $(CONFFLAG) \
    $(NULL)

%:
	dh $@ --parallel

override_dh_autoclean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile src/Makefile vmime/Makefile vmime/config.hpp build-stamp libtool config.guess config.log config.sub config.status config.h vmime.pc stamp-h1
	cd src ; rm -f `find . -type l`
	dh_auto_clean

override_dh_auto_configure:
	[ -f ./bootstrap ] && ./bootstrap
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)

override_dh_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/vmime vmime/libvmime-(\d.\d.\d)\.tar\.bz2

# one day far away on GitHub
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
#  https://github.com/kisli/vmime/tags .*/v?(\d.\d.\d)\.tar\.gz
